org.eclnt.jsfserver.util

## Class StyleReaderServlet

- java.lang.Object
- - HttpServlet
  - - org.eclnt.jsfserver.util.CCServletBase
    - - org.eclnt.jsfserver.util.StyleReaderServlet

-     public class StyleReaderServlet
      extends CCServletBase

  Reads all files that are accessed in the context of style management from client side. These are the files with the URL "/eclntjsfserer/styles/*.
  The "riscstyle.css" file and the "riscstyle.js" file are dynamically created at runtime.
  Other resources are accessed in the following sequence:
  1. they are read from the web application (WebResourceReader)
  2. they are read from the stream store: using path "/ccstylereader/eclntjsfserver/styles/".

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyleReaderServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkIfToInitializeCCEnvironment()`
    `protected void` | `doGet(HttpServletRequest req, HttpServletResponse resp)`
    `protected void` | `doPost(HttpServletRequest req, HttpServletResponse resp)`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCServletBase

      `init, proposeContentType, setContentType, setContentTypeInResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleReaderServlet

          public StyleReaderServlet()

  - ### Method Detail

    - #### checkIfToInitializeCCEnvironment

          protected boolean checkIfToInitializeCCEnvironment()

      Overrides:
        `checkIfToInitializeCCEnvironment` in class `CCServletBase`

    - #### doGet

          protected void doGet(HttpServletRequest req,
                               HttpServletResponse resp)
                        throws ServletException,
                               java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

    - #### doPost

          protected void doPost(HttpServletRequest req,
                                HttpServletResponse resp)
                         throws ServletException,
                                java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

Copyright © CaptainCasa Gmbh. All Rights Reserved.